Skip to content
No description or website provided.
PHP HTML
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.github/ISSUE_TEMPLATE Update issue templates Sep 15, 2019
classes 3.3.0 Nov 18, 2019
config 3.3.0 Nov 18, 2019
external/Freemius
helpers 3.2.0 Oct 3, 2019
public 3.3.0 Nov 18, 2019
views 3.3.0 Nov 18, 2019
.gitignore Start cleaning up the importer. Nov 16, 2018
.gitmodules * **IMPORTANT** If you are using Backblaze, please do not update unti… Jul 17, 2019
LICENSE * **IMPORTANT** If you are using Backblaze, please do not update unti… Jul 17, 2019
README.md * **IMPORTANT** If you are using Backblaze, please do not update unti… Jul 17, 2019
composer.json 3.2.0 Oct 3, 2019
ilab-media-tools.php
readme.txt 3.3.0 Nov 18, 2019

README.md

Media Cloud

Media cloud is a revolutionary plug-in for WordPress that will supercharge the performance of your website and radically transform the way that you work with media in WordPress.

Media Cloud works by moving your images, media and other files from your WordPress server to online cloud storage such as Amazon S3, Google Cloud Storage, DigitalOcean Spaces and many others. You can then serve that media through a CDN like Amazon Cloud front, Cloudflare, Fastly and others.

Beyond cloud storage, Media Cloud also has deep integration with Imgix, the leading real-time image manipulation and optimization CDN. Media Cloud is the first plugin for WordPress to bring the full benefit of what Imgix offers - simplifying your development efforts, reducing your site’s page load times and opening up creative options that simply haven’t existed until now.

Media Cloud also provides advanced image editing tools that provide improved cropping options, effects, filters, watermarking and more.

Installing via Composer

For the free version:

composer require ilab/ilab-media-tools

For the pro version, installing via composer won't be available until the end of July.

Upgrade from 2.x to 3.x

If you are upgrading from 2.x there are a few things to be aware of:

  • Hooks and enviroment variables have been refactored and almost all of them deprecated.
  • You will receive a warning for using deprecated environment variables and hooks.
  • The list of supported environment variables can be found here
  • The list of supported hooks/filters can be found here

Special Thanks

Special thanks to: @JulienMelissas, @eightam, @metadan, @farcaller, @HexaCubist, @kaisermann, @tapetersen, @LiljebergXYZ, @michaeljberry, @tomasvanrijsse, @ItsNotABug for the contributions!

You can’t perform that action at this time.